<?xml version ="1.0" encoding="utf-8"?>
<!-- Copyright 2019 Intelligenti.io
     License OPL-1 (See LICENSE file for full copyright and licensing details). -->
<odoo>
    <record model="ir.ui.view" id="intel_makeup_payment_form_view">
        <field name="name">intel.makeup.payment.form</field>
        <field name="model">intel.makeup.payment</field>
        <field name="arch" type="xml">
            <form string="Makeup Payment">
                <header>
                    <field name="state" widget="statusbar" attrs="{'clickable': [('state', '!=','complete')]}"/>
                </header>
                <sheet>
                    <group>
                        <field name="donor_code" string="Donor ID"/>
                        <field name="donor_id" string="Donor Name"/>
                        <field name="subscription_id" string="Pledge"/>
                        <field name="donation_date" attrs="{'readonly': [('state', '=','complete')]}"/>
                        <field name="payment_date" attrs="{'readonly': [('state', '=','complete')]}"/>
                        <field name="notes" attrs="{'readonly': [('state', '=','complete')]}"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record model="ir.ui.view" id="intel_makeup_payment_tree_view">
        <field name="name">intel.makeup.payment.tree</field>
        <field name="model">intel.makeup.payment</field>
        <field name="arch" type="xml">
            <tree string="Makeup Payment">
                <field name="donor_code" string="Donor ID"/>
                <field name="donor_id" string="Donor Name"/>
                <field name="subscription_id" string="Pledge"/>
                <field name="donation_date"/>
                <field name="payment_date"/>
                <field name="notes"/>
                <field name="state"/>
                <button name="pause" class="btn btn-primary" type="object" confirm="Are you sure?" string="Pause" attrs="{'invisible': [('state', 'not in',('in_progress'))]}"/>
                <button name="in_progress" class="btn btn-primary" type="object" confirm="Are you sure?" string="Reset" attrs="{'invisible': [('state', 'not in',('pause','failed'))]}"/>
            </tree>
        </field>
    </record>

    <record id="intel_makeup_payment_action" model="ir.actions.act_window">
        <field name="name">Makeup Payment</field>
        <field name="res_model">intel.makeup.payment</field>
        <field name="view_type">form</field>
        <field name="view_mode">tree,form</field>
    </record>

    <menuitem action="intel_makeup_payment_action" id="menu_intel_makeup_payment" name="Makeup Payment" sequence="8"  groups="sale_subscription.group_sale_subscription_view" parent="studio_customization.donation_mgmt_donate_044cf6c3-3e39-41a8-afa6-4304128d0c21"/>

    <record model="ir.ui.view" id="intel_sale_subscription_form_view">
        <field name="name">intel.sale.subscription.form</field>
        <field name="model">sale.subscription</field>
        <field name="inherit_id" ref="sale_subscription.sale_subscription_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//form[1]/sheet[1]/notebook[1]" position="inside">
                <page string="Makeup Payments">
                    <field name="makeup_payment_ids">
                        <tree string="Makeup Payment">
                            <field name="donation_date"/>
                            <field name="payment_date"/>
                            <field name="notes"/>
                            <field name="state"/>
                            <button name="pause" class="btn btn-primary" type="object" confirm="Are you sure?" string="Pause" attrs="{'invisible': [('state', 'not in',('in_progress'))]}"/>
                            <button name="in_progress" class="btn btn-primary" type="object" confirm="Are you sure?" string="Reset" attrs="{'invisible': [('state', 'not in',('pause','failed'))]}"/>
                        </tree>
                        <form string="Makeup Payment">
                            <header>
                                <field name="state" widget="statusbar" attrs="{'clickable': [('state', '!=','complete')]}"/>
                            </header>
                            <group>
                                <field name="donation_date" attrs="{'readonly': [('state', '=','complete')]}"/>
                                <field name="payment_date" attrs="{'readonly': [('state', '=','complete')]}"/>
                                <field name="notes" attrs="{'readonly': [('state', '=','complete')]}"/>
                            </group>
                        </form>
                    </field>
                </page>
	        </xpath>
            <field name="close_reason_id" position="replace">
                <field name="close_reason_id" attrs="{'invisible': [('state','in',['draft','open','pending','failed'])]}"/>
            </field>
            <field name="partner_id" position="replace">
                <field name="partner_id" attrs="{'readonly': [('state','not in',['draft'])]}"/>
            </field>
            <button name="set_open" position="after">
                <button name="action_change_donor" string="Change Donor" type="object" groups="intel_donor_enhancement.group_donor_authorization" class="oe_highlight"/>
            </button>
            <xpath expr="//form[1]/sheet[1]/notebook[1]" position="inside">
                <page string="Changed Donor" groups="intel_donor_enhancement.group_donor_authorization">
                    <field name="donor_log_ids" readonly="1">
                        <tree string="Donor Logs">
                            <field name="donor_id"/>
                            <field name="new_donor_id"/>
                            <field name="relationship_id"/>
                            <field name="reason"/>
                            <field name="create_date"/>
                            <field name="create_uid"/>
                        </tree>
                        <form string="Donor Log">
                            <group>
                                <field name="donor_id"/>
                                <field name="new_donor_id"/>
                                <field name="relationship_id"/>
                                <field name="reason"/>
                                <field name="create_date"/>
                                <field name="create_uid"/>
                            </group>
                        </form>
                    </field>
                </page>
            </xpath>
        </field>
    </record>

    <record id="intel_sale_subscription_view_list" model="ir.ui.view">
        <field name="name">intel.sale.subscription.list</field>
        <field name="model">sale.subscription</field>
        <field name="inherit_id" ref="sale_subscription.sale_subscription_view_list"/>
        <field name="arch" type="xml">
            <xpath expr="//tree" position="replace">
                <tree string="Sale Subscriptions" decoration-info="state=='draft'" decoration-warning="state=='pending'" decoration-danger="state=='failed'" decoration-muted="state in ('cancel','close')">
                    <field name="code"/>
                    <field name="partner_id"/>
                    <field name="recurring_next_date"/>
                    <field name="pricelist_id" invisible="1"/>
                    <field name="user_id"/>
                    <field name="company_id" groups="base.group_multi_company"/>
                    <field name="recurring_total"/>
                    <field name="state"/>
                </tree>
            </xpath>
        </field>
    </record>

    <record id="intel_sale_subscription_view_search" model="ir.ui.view">
        <field name="name">intel.sale.subscription.search</field>
        <field name="model">sale.subscription</field>
        <field name="inherit_id" ref="sale_subscription.sale_subscription_view_search"/>
        <field name="arch" type="xml">
            <filter name="pending" position="after">
                <filter name="failed" string="Failed" domain="[('state','=','failed')]" help="Failed subscriptions"/>
            </filter>
            <filter name="expiring_soon" position="replace">
                <filter string="Expiring soon"
                    name="expiring_soon"
                    domain="[('state','=','open'),('date', '!=', False), ('date', '&lt;=', (context_today() + datetime.timedelta(60)).strftime('%%Y-%%m-%%d'))]"
                    help="End date is in the next two months"/>
            </filter>

            <filter name="expired" position="replace">
                <filter
                    string="Expired"
                    name="expired"
                    domain="[('date', '!=', False), ('date', '&lt;', time.strftime('%%Y-%%m-%%d'))]"
                    help="End date passed"/>
            </filter>
        </field>
    </record>


    <record id="intel_sale_subscription_line_view_tree" model="ir.ui.view">
        <field name="name">intel.sale.subscription.line.tree</field>
        <field name="model">sale.subscription.line</field>
        <field name="inherit_id" ref="studio_customization.odoo_studio_default__912856fe-72d3-4c98-b1e5-eab5a8aeea0e"/>
        <field name="arch" type="xml">
            <xpath expr="/tree" position="attributes">
                <attribute name="create">false</attribute>
                <attribute name="delete">false</attribute>
                <attribute name="edit">false</attribute>
            </xpath>
        </field>
    </record>

    <record id="intel_sale_subscription_line_view_form" model="ir.ui.view">
        <field name="name">intel.sale.subscription.line.form</field>
        <field name="model">sale.subscription.line</field>
        <field name="inherit_id" ref="studio_customization.odoo_studio_default__a334dfd7-f814-4f93-bbf5-55269bab43c3"/>
        <field name="arch" type="xml">
            <xpath expr="/form" position="attributes">
                <attribute name="create">false</attribute>
                <attribute name="delete">false</attribute>
                <attribute name="edit">false</attribute>
            </xpath>
        </field>
    </record>
</odoo>


